[PATCH] tests/run-debuginfod-find.sh: skip test if cpio isn't available.
Érico Nogueira
ericonr@disroot.org
Mon Feb 8 23:18:11 GMT 2021
From: Érico Rolim <erico.erc@gmail.com>
Signed-off-by: Érico Rolim <erico.erc@gmail.com>
---
tests/ChangeLog | 4 ++++
tests/run-debuginfod-find.sh | 1 +
2 files changed, 5 insertions(+)
diff --git a/tests/ChangeLog b/tests/ChangeLog
index 907b6351..e22fa455 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,3 +1,7 @@
+2021-02-08 Érico Nogueira <ericonr@disroot.org>
+
+ * run-debuginfod-find.sh: Check for cpio availability.
+
2021-02-04 Frank Ch. Eigler <fche@redhat.com>
* run-debuginfod-find.sh: Smoke test --fdcache-mintmp option handling.
diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
index 6340f60e..876f1ab4 100755
--- a/tests/run-debuginfod-find.sh
+++ b/tests/run-debuginfod-find.sh
@@ -20,6 +20,7 @@
type curl 2>/dev/null || (echo "need curl"; exit 77)
type rpm2cpio 2>/dev/null || (echo "need rpm2cpio"; exit 77)
+type cpio 2>/dev/null || (echo "need cpio"; exit 77)
type bzcat 2>/dev/null || (echo "need bzcat"; exit 77)
bsdtar --version | grep -q zstd && zstd=true || zstd=false
echo "zstd=$zstd bsdtar=`bsdtar --version`"
--
2.30.0
More information about the Elfutils-devel
mailing list